﻿@import url('https://fonts.googleapis.com/css2?family=Karla:wght@200;300;400;500;600;700;800&display=swap');
html {
	font-family: 'Karla';
}

h2, h3 {
	text-align: center;
}

h1 { display: inline-block; margin: 10px 15px; }
.title {
	background-color: #549e68;
	color: #e0ffe0;
	margin: auto;
	height: 50%;
}

.title span {
	display: inline-block;
	height: 57px;
	vertical-align: top;
	line-height: 57px;
	padding: 0px 10px;
}

.title span:hover {
	background-color: #87bf9a;
	cursor: pointer;
}

.title span .sign {
	display: inline;
}

.title span .sign::after {
	content: "▶";
}

.title span:hover .sign::after {
	content: "▼";
}

.title span #projectList {
	display: block;
	z-index: 100;
	transition: 0.2s;
	transform: scaleY(0);
	transform-origin: top;
}

.title span:hover #projectList {
	/*display: block;*/
	transform: scaleY(1);
}

.preload {
	-webkit-transition: none !important;
	-moz-transition: none !important;
	-ms-transition: none !important;
	-o-transition: none !important;
}

.title span #projectList p, #listTmp ._p {
	color: /*#e0ffe0*/#333;
	background-color: /*#549e68*/#ddd;
	margin: 0px -40px 0px 0px;
	line-height: initial;
	padding: 10px;
}

.title span #projectList p:hover, #listTmp ._p:hover {
	background-color: /*#87bf9a*/#eee;
	cursor: pointer;
}

#listTmp ._y {
	background-color: #fff;
	padding: 10px;
}

#saveTmpAll {
	display: inline;
}

#biglist {
	display: inline;
}

#idVar {
	padding-right: 5px;
}

#askSaveTmpName{
	white-space: nowrap;
	max-width: 100px;
	overflow-x: hidden;
	background-color: #fff;
	padding: 2px;
	border-radius: 3px;
}

#listTmp {
	position: absolute;
	display: inline;
	top: 24px;
	left: -240px;
}

#listTmp p {
	display: inline;
}

#listTmp div {
	display: /*none*/ block;
	white-space: nowrap;
	text-align: left;
}

/*#biglist:hover #listTmp div {
	display: block;
}*/

#biglist #listTmp {
	transition: 0.2s;
	transform: scaleY(0);
	transform-origin: top;
}

#biglist:hover #listTmp {
	transform: scaleY(1);
}

#biglist input {
	margin: 0px;
}

#projectList {
	white-space: nowrap;
	position: absolute;
}

.project {
	font-weight: 1000;
	display: inline;
	margin: 4px;
	padding: 0px;
}

.project:focus {
	outline: none;
	border-bottom: 1px solid white;
}

h2 {
	border-bottom: 0px solid #549e68;
	color: /*#327c46*/black;
	margin-left: auto; margin-right: auto;
	width: 50%;
}

body {
	background-color: /*#ddd*/#fff;
	margin: 0px;
}

.main {
	margin: auto;
	width: 80%;
	padding: 20px;
	/*padding-bottom: 175px;*/
	min-height: 700px;
}

textarea {
	width: 100%;
	min-height: 150px;
	resize: vertical;
	border: none;
	background-color: #549e6833;
	padding: 8px;
	display: block;
	margin: auto;
	width: 95%;
}

textarea:focus {
	background-color: #549e6822;
	outline: none;
}

input[type="button"] {
	background-color: #549e68;
	border: none;
	border-radius: 3px;
	padding: 4px 8px 4px 8px;
	margin: 10px 0px;
	color: white;
	font-weight: 700;
}

input[type="button"]:hover {
	background-color: #549e68aa;
	cursor: pointer;
}

.F:hover {
	background-color: #549e68aa;
}

.tabClick { padding: 10px 0px; }

.F .tabClick:hover { cursor: pointer; }
.T .tabClick:hover { cursor: text; }

input[value="＋"], input[value="▶"], input[value="×"], input[value="▼"], input[value=" "], input[value="▲"] {
	background-color: transparent;
	color: #aaa;
	width: 24px;
	height: 24px;
	margin: 0px;
	padding: 0px;
}

input[value="▶"], input[value="▼"], input[value="▲"] {
	font-size: 8px;
}

input[value="＋"]:hover, input[value="▶"]:hover, input[value="×"]:hover, input[value="▼"]:hover, input[value="▲"]:hover {
	background-color: transparent;
	color: #000;
	width: 24px;
	height: 24px;
}

.title input[value="×"] {
	text-align: center;
	color: #e0ffe0;
}

.title input[value="×"]:hover {
	color: #e0ffe0;
	border-radius: 12px;
	background-color: #87bf9a;
}

input[value=" "]:hover {
	background-color: transparent;
	cursor: default;
}

#delProj, #delProjNo {
	background-color: transparent;
	color: #777;
	width: 24px;
	height: 24px;
	margin: 0px;
	padding: 0px;
}

#delProj:hover, #delProjNo:hover {
	background-color: transparent;
	color: #000;
	width: 24px;
	height: 24px;
}

input[value="📋"], input[value="💾"] {
	background-color: transparent;
	color: #5555;
	width: 24px;
	height: 24px;
	margin: 0px;
	padding: 0px;
}

input[value="📋"]:hover, input[value="💾"]:hover {
	background-color: transparent;
	color: #000f;
	width: 24px;
	height: 24px;
}

#wrds {
	margin-left: 5px;
	text-align: right;
}

/*p, .unsec { color: #bbb; }*/

._p .unsec { margin-right: 20px; }

.flex {
	display: flex;
}

.flexwrap {
	display: flex;
}

.dicTab {
	border: 1px solid #bbb;
	border-bottom: none;
	border-radius: 3px 3px 0px 0px;
	padding: 4px;
	margin-bottom: 0px;
	color: #fff;
	font-weight: 700;
	display: inline-block;
	position: relative;
	top: 1px;
}

.dicTabs { display: inline; }

.dicBox [type="text"] {
	width: 16px;
	height: 14px;
	text-align: center;
}

.F { background-color: #aaa;/*#549e68;*/}

.T { background-color: #fff;/*#549e68;*/ color: #777;}

.dicBox {
	border: 1px solid #aaa;
	border-radius: 0px 3px 3px 3px;
	box-shadow: 1px 1px 5px #666;
	padding: 10px;
}

.subflex {
	flex: 1;
	margin: 10px
}

h1, .dicTab, label, .unsec, .title span {
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

#spinBox {
	margin: auto;
	width: 75%;
}

ul.val b {
	font-weight: 500;
}

.varval {
	/*width: 16.25vw;
	max-width: 16.25vw;*/
	width: 75%;
	max-width: 75%;
	min-height: 20px;
	max-height: 200px;
	display: inline-block;
	background-color: #549e6833;
	overflow: auto;
	padding: 8px;
	margin: 0px;
	margin-left: 35px;
	white-space: nowrap;
}

.varval:focus {
	background-color: #549e6822;
	outline: none;
}

.varSubFlex {
	flex: 30%;
	max-width: 430px;
	/*background-color: #fff;*/
	margin-right: 20px;
	height: 100%;
	position: -webkit-sticky;
	position: sticky;
	top: 10px;
}

ul { padding: 0px; }

footer {
	background-color: #ddd;
	padding: 10px;
	margin: 0px;
	box-shadow: 0px 0px 10px #aaa;
}

.foot {
	margin: auto;
	width: 65%;
}

.foot_ul {
	list-style-type: none;
	padding: 0px;
}

.foot_ul li {
	padding: 5px 8px;
}

.foot_ul a {
	color: #555;
	text-decoration: none;
}

.foot_ul a:hover {
	color: #888;
	text-decoration: none;
}

a h1 {
	color: #e0ffe0;
}

.titleFlex {
	display: flex;
	flex-wrap: wrap;
}

#projTitle {
	white-space: nowrap;
}

.titlesubflex1 {
	max-width: 480px/*420px*/;
	min-width: 480px/*420px*/;
}

.titlesubsubflex1 {
	display: flex;
}

.titlesubsubflex1 svg {
	flex: 1;
	margin: auto;
	height: 100%;
	max-width: 32px;
	min-width: 32px;
	height: 32px;
	fill: #e0ffe0;
	position: relative;
	top: 16px;
	left: 16px;
	padding-left: 10px;
	transition: 0.5s;
}

.titlesubsubflex1 a {
	flex: 1;
}

.titlenav {
	display: inline;
	left: -100vw;
	color: black;
	z-index: 9999;
	transition: 0.5s;
}

.svg:hover .titlenav {
	/*display: inline;*/
	left: 0px;
}

.svg:hover > svg {
	fill: #bbb;
}

.titlenav2 {
	top: /*68px*//*57*/40px;
}

.titlenav2 a {
	color: #222;
	text-decoration: none;
	display: block;
	margin: 0px;
	padding: 10px 15px;
}

.titlenav2 a:hover {
	background-color: white;
}

/**/
@media only screen and (max-width: 1280px) {
	.main {
		width: 95%;
		padding: 0px;
	}
}

@media only screen and (max-width: 1000px) {
	.flexwrap {
		display: block;	
	}
	.varSubFlex {
		position: static;
		margin: auto;
		width: 100%;
	}
}

@media only screen and (max-width: 976px) {
	#titleBox {
		text-align: center;
		padding: 20px 0px;
	}
}

@media only screen and (max-width: 716px) {
	#titleBox {
		text-align: center;
		padding: 0px 0px;
	}
}

@media only screen and (max-width: 496px) {
	#titleBox {
		text-align: center;
		padding: 20px 0px;
	}
}

@media only screen and (max-width: 500px) {
	.titleFlex {
		justify-content: center;
	}
	.flex {
		display: block;
	}
	.titlesubflex1 {
		max-width: 300px;
		min-width: 300px;
	}
	.titlenav2 {
		/*top: 75px;*/
	}
}